package com.gic;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.data.redis.RedisAutoConfiguration;
import org.springframework.boot.autoconfigure.data.redis.RedisRepositoriesAutoConfiguration;
import org.springframework.boot.autoconfigure.quartz.QuartzAutoConfiguration;
import org.springframework.context.annotation.ImportResource;

/**
 * 
 * @author Administrator
 *
 */
@SpringBootApplication(
		scanBasePackages = "com.gic.sql.check.*",
		exclude = {
				RedisAutoConfiguration.class,
				RedisRepositoriesAutoConfiguration.class,
				QuartzAutoConfiguration.class
		}
)
@ImportResource(value = {
		"classpath*:applicationContext-conf.xml"
})
public class HbWebApplication {

	public static void main(String[] args) {
		SpringApplication.run(HbWebApplication.class, args);
	}

}
