package com.gic.sql.check.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.hb.base.common.BasePageInfo;
import com.gic.sql.check.dto.TabSqlCheckDTO;
import com.gic.sql.check.service.outer.SqlCheckApiService;
/**
 * 
 * @author qwm
 *
 */
@RestController
public class SqlCheckController extends BaseController{
	
	@Autowired
	SqlCheckApiService sqlCheckApiService;
	/**
	 * 查询sql
	 * @param startDate
	 * @param endDate
	 * @param project
	 * @param pageInfo
	 * @return
	 */
    @RequestMapping("/list-sql")
    public RestResponse select(String startDate,String endDate,String project,BasePageInfo pageInfo){
    	ServiceResponse<Page<TabSqlCheckDTO>> sr = sqlCheckApiService.listByParams(startDate,endDate,project,pageInfo);
    	return resultPage(sr);
    }

}
