package com.gic.sql.check.dto;

import java.io.Serializable;
import java.util.Date;


public class TabSqlCheckDTO implements Serializable{
	
	private static final long serialVersionUID = 1L;

    /**
     * sqlId
     */
    private Integer sqlCheckSqlId;

    /**
     * sql的关键字
     */
    private String sqlCheckSqlKey;

    /**
     * 真实sql
     */
    private String sqlCheckSql;

    /**
     * 表的id
     */
    private Integer sqlCheckTableId;
    
    /**
     * 表的名
     */
    private String sqlCheckTableName;

    /**
     * 项目id
     */
    private Integer sqlCheckProjectId;
    
    /**
     * 项目名称
     */
    private String sqlCheckProjectName;

    /**
     * 删除状态1是0否
     */
    private Integer deleteFlag;
    /**
     * 是否完善索引1是0否
     */
    private Integer sqlCheckIndexType;
    /**
     * 索引的语句
     */
    private String sqlCheckIndex;
    /**
     * 完善人id
     */
    private Long commitId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    public Integer getSqlCheckSqlId() {
        return sqlCheckSqlId;
    }

    public void setSqlCheckSqlId(Integer sqlCheckSqlId) {
        this.sqlCheckSqlId = sqlCheckSqlId;
    }
    public String getSqlCheckSqlKey() {
        return sqlCheckSqlKey;
    }

    public void setSqlCheckSqlKey(String sqlCheckSqlKey) {
        this.sqlCheckSqlKey = sqlCheckSqlKey;
    }
    public String getSqlCheckSql() {
        return sqlCheckSql;
    }

    public void setSqlCheckSql(String sqlCheckSql) {
        this.sqlCheckSql = sqlCheckSql;
    }
    public Integer getSqlCheckTableId() {
        return sqlCheckTableId;
    }

    public void setSqlCheckTableId(Integer sqlCheckTableId) {
        this.sqlCheckTableId = sqlCheckTableId;
    }
    public Integer getSqlCheckProjectId() {
        return sqlCheckProjectId;
    }

    public void setSqlCheckProjectId(Integer sqlCheckProjectId) {
        this.sqlCheckProjectId = sqlCheckProjectId;
    }
    
    public Integer getDeleteFlag() {
		return deleteFlag;
	}

	public void setDeleteFlag(Integer deleteFlag) {
		this.deleteFlag = deleteFlag;
	}

	public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    
    

    public String getSqlCheckTableName() {
		return sqlCheckTableName;
	}

	public void setSqlCheckTableName(String sqlCheckTableName) {
		this.sqlCheckTableName = sqlCheckTableName;
	}

	public String getSqlCheckProjectName() {
		return sqlCheckProjectName;
	}

	public void setSqlCheckProjectName(String sqlCheckProjectName) {
		this.sqlCheckProjectName = sqlCheckProjectName;
	}
	
	

	public Integer getSqlCheckIndexType() {
		return sqlCheckIndexType;
	}

	public void setSqlCheckIndexType(Integer sqlCheckIndexType) {
		this.sqlCheckIndexType = sqlCheckIndexType;
	}

	public String getSqlCheckIndex() {
		return sqlCheckIndex;
	}

	public void setSqlCheckIndex(String sqlCheckIndex) {
		this.sqlCheckIndex = sqlCheckIndex;
	}

	public Long getCommitId() {
		return commitId;
	}

	public void setCommitId(Long commitId) {
		this.commitId = commitId;
	}

	@Override
    public String toString() {
        return "TabSqlCheckSql{" +
            "sqlCheckSqlId=" + sqlCheckSqlId +
            ", sqlCheckSqlKey=" + sqlCheckSqlKey +
            ", sqlCheckSql=" + sqlCheckSql +
            ", sqlCheckTableId=" + sqlCheckTableId +
            ", sqlCheckProjectId=" + sqlCheckProjectId +
            ", delFlag=" + deleteFlag +
            ", createTime=" + createTime +
            ", updateTime=" + updateTime +
        "}";
    }

}
