package com.gic.sql.check.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gic.api.base.commons.Page;
import com.gic.hb.base.common.BasePageInfo;
import com.gic.sql.check.dto.TabSqlCheckDTO;
import com.gic.sql.check.entity.TabSqlCheckSql;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author mybatis
 * @since 2020-10-15
 */
public interface SqlCheckSqlService extends IService<TabSqlCheckSql> {

	void saveByKey(String sqlKey, String sql, String project, String table, Integer sqlCheckTableId,
			Integer sqlCheckProjectId);

	Page<TabSqlCheckDTO> listByParams(String startDate, String endDate, String project, BasePageInfo pageInfo);

}
