package com.gic.sql.check.service.outer;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.hb.base.common.BasePageInfo;
import com.gic.sql.check.dto.TabSqlCheckDTO;

public interface SqlCheckApiService {
	/**
	 * my回调
	 * @param res
	 */
	void mqSqlCheck(String res);
	/**
	 * 查询sql
	 * @param startDate
	 * @param endDate
	 * @param project
	 * @param pageInfo
	 * @return
	 */
	ServiceResponse<Page<TabSqlCheckDTO>> listByParams(String startDate, String endDate, String project,
			BasePageInfo pageInfo);

}
